import numpy as np
def data_gen(D, x, y, elevations, picks):
    min_pick = np.min(picks)
    x = np.array(x)
    y = np.array(y)
    elevations = np.array(elevations)
    picks = np.array(picks)
    data = np.column_stack((np.arange(1, len(x) + 1), x, y, elevations, picks - min_pick))
    np.savetxt(D, data, delimiter='\t', fmt='%d\t%.6f\t%.6f\t%.6f\t%.6f')