def trmloc_scenario(P, D, V, C, L, O, R, X, Es, Fvi, Fdi, 
               Fpo, Err, Cme, Cmz, Ia, Xap, Yap, Zap, Ip, Cp, Omp,
               Fi, Fh, Cpm, CpM, Cpi, Cpf, Ftm, Fit, Fsc, Fec, m, e):

    with open(P, 'w') as INfile:
        INfile.write(f"INPUT FILES \n -P:{P}  \n -D:{D}  \n -V:{V}  \n -C:{C}  \n")
        INfile.write(f"OUTPUT FILES \n -L:{L}  \n -O:{O}  \n -R:{R}  \n -X:{X}  \n")
        INfile.write(f"NUMERICAL PARAMETERS \n -Es={Es}  \n -Fvi={Fvi:.6f}  \n -Fdi={Fdi:.6f}  \n"
            f" -Fpo={Fpo:.6f}  \n -Err={Err:.6f} \n")
        INfile.write(f" -Cme={Cme:.6f}  \n -Cmz={Cmz:.6f}  \n -Ia={Ia}  \n -Xap={Xap:.6f}  \n"
            f" -Yap={Yap:.6f} \n -Zap={Zap:.6f} \n")
        INfile.write(f" -Ip={Ip}  \n -Cp={Cp:.6f}  \n -Omp={Omp:.6f}  \n -Fi={Fi:.6f}  \n -Fh={Fh:.6f} \n")
        INfile.write(f" -Cpm={Cpm:.6f}  \n -CpM={CpM:.6f}  \n -Cpi={Cpi:.6f}  \n -Cpf={Cpf:.6f}  \n")
        INfile.write(f" -Ftm={Ftm:.6f}  \n -Fit={Fit:.6f}  \n -Fsc={Fsc:.6f}  \n -Fec={Fec:.6f}  \n")
        
        INfile.write("SWITCHING PARAMETERS\n")
        if m:
            INfile.write(" -m\n")
        if e:
            INfile.write(" -e\n")